#ifndef CHATSERVER_UTILS_H
#define CHATSERVER_UTILS_H

#include <stddef.h>

#define METASTRING(x) x,sizeof(x)-1
#define STR_HELPER(x) #x
#define STR(x) STR_HELPER(x)

enum severity {
    debug, warning, error
};

void logMessage(enum severity messageSeverity, const char *format, ...);
void trimWhitespace(char* str);
int inRange(int number, int rangeFrom, int rangeTo);
int sanitizeString(char* str, size_t stringLength);

#endif //CHATSERVER_UTILS_H
